Bug 1459336 - If Advisory exists in multiple repos yum only uses one of the package lists
If Advisory exists in multiple repos yum only uses one of the package lists
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.2.6
Unspecified Unspecified
high Severity high (vote)
: GA
: --
Assigned To: satellite6-bugs
Radovan Drazny
: PrioBumpField, PrioBumpGSS, PrioBumpPM, Triaged
Depends On:
Blocks: 1353215
  Show dependency treegraph
 
Reported: 2017-06-06 16:22 EDT by pm-sat@redhat.com
Modified: 2017-11-22 06:31 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1408508
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 2227 Normal CLOSED - CURRENTRELEASE Only first pkglist is synced for erratum even if multiple are present 2017-06-06 17:37 EDT
Pulp Redmine 2559 High CLOSED - CURRENTRELEASE Empty pkglist for the erratum may be generated which may cause yum not to find applicable packages 2017-06-06 17:07 EDT
Pulp Redmine 2560 Normal CLOSED - CURRENTRELEASE Non-unique collection names in erratum pkglists causes yum not to show all packages 2017-06-06 17:07 EDT
Pulp Redmine 2623 High CLOSED - CURRENTRELEASE Errata publish performace degradation 2017-06-06 17:06 EDT

  None (edit)
Comment 2 pulp-infra@redhat.com 2017-06-06 17:06:49 EDT
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.
Comment 3 pulp-infra@redhat.com 2017-06-06 17:06:55 EDT
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.
Comment 4 pulp-infra@redhat.com 2017-06-06 17:07:17 EDT
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.
Comment 5 pulp-infra@redhat.com 2017-06-06 17:07:24 EDT
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.
Comment 6 pulp-infra@redhat.com 2017-06-06 17:07:33 EDT
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.
Comment 7 pulp-infra@redhat.com 2017-06-06 17:07:40 EDT
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.
Comment 8 pulp-infra@redhat.com 2017-06-06 17:37:57 EDT
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.
Comment 9 pulp-infra@redhat.com 2017-06-06 17:38:03 EDT
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.
Comment 11 Radovan Drazny 2017-10-17 11:30:50 EDT
Verified Satellite 6.3 Snap 20 with RHEL 7.3, packages sudo and sudo-devel, as described in the initial report with rhel-7-server-rpms and rhel-7-server-optional-rpms repos enabled.

$ yum updateinfo list sudo\*
Loaded plugins: enabled_repos_upload, package_upload, product-id, search-disabled-repos, subscription-manager, tracer_upload
Sat6-CI_Red_Hat_Satellite_Tools_6_3_Composes_Satellite_Tools/x86_64                                                                                                                          | 2.1 kB  00:00:00     
rhel-7-server-optional-rpms/7Server/x86_64                                                                                                                                                   | 2.0 kB  00:00:00     
rhel-7-server-rpms/7Server/x86_64                                                                                                                                                            | 2.0 kB  00:00:00     
RHSA-2016:2872 Moderate/Sec.  sudo-1.8.6p7-21.el7_3.x86_64
RHSA-2017:1382 Important/Sec. sudo-1.8.6p7-22.el7_3.x86_64
RHSA-2017:1574 Moderate/Sec.  sudo-1.8.6p7-23.el7_3.x86_64
RHBA-2017:2017 bugfix         sudo-1.8.19p2-10.el7.x86_64
RHBA-2017:2595 bugfix         sudo-1.8.19p2-11.el7_4.x86_64
RHSA-2016:2872 Moderate/Sec.  sudo-devel-1.8.6p7-21.el7_3.x86_64
RHSA-2017:1382 Important/Sec. sudo-devel-1.8.6p7-22.el7_3.x86_64
RHSA-2017:1574 Moderate/Sec.  sudo-devel-1.8.6p7-23.el7_3.x86_64
RHBA-2017:2017 bugfix         sudo-devel-1.8.19p2-10.el7.x86_64
RHBA-2017:2595 bugfix         sudo-devel-1.8.19p2-11.el7_4.x86_64
updateinfo list done
Uploading Enabled Repositories Report
Loaded plugins: product-id

$ yum updateinfo list sudo
Loaded plugins: enabled_repos_upload, package_upload, product-id, search-disabled-repos, subscription-manager, tracer_upload
Sat6-CI_Red_Hat_Satellite_Tools_6_3_Composes_Satellite_Tools/x86_64                                                                                                                          | 2.1 kB  00:00:00     
rhel-7-server-optional-rpms/7Server/x86_64                                                                                                                                                   | 2.0 kB  00:00:00     
rhel-7-server-rpms/7Server/x86_64                                                                                                                                                            | 2.0 kB  00:00:00     
RHSA-2016:2872 Moderate/Sec.  sudo-1.8.6p7-21.el7_3.x86_64
RHSA-2017:1382 Important/Sec. sudo-1.8.6p7-22.el7_3.x86_64
RHSA-2017:1574 Moderate/Sec.  sudo-1.8.6p7-23.el7_3.x86_64
RHBA-2017:2017 bugfix         sudo-1.8.19p2-10.el7.x86_64
RHBA-2017:2595 bugfix         sudo-1.8.19p2-11.el7_4.x86_64
updateinfo list done
Uploading Enabled Repositories Report
Loaded plugins: product-id

$ yum updateinfo list sudo-devel
Loaded plugins: enabled_repos_upload, package_upload, product-id, search-disabled-repos, subscription-manager, tracer_upload
Sat6-CI_Red_Hat_Satellite_Tools_6_3_Composes_Satellite_Tools/x86_64                                                                                                                          | 2.1 kB  00:00:00     
rhel-7-server-optional-rpms/7Server/x86_64                                                                                                                                                   | 2.0 kB  00:00:00     
rhel-7-server-rpms/7Server/x86_64                                                                                                                                                            | 2.0 kB  00:00:00     
RHSA-2016:2872 Moderate/Sec.  sudo-devel-1.8.6p7-21.el7_3.x86_64
RHSA-2017:1382 Important/Sec. sudo-devel-1.8.6p7-22.el7_3.x86_64
RHSA-2017:1574 Moderate/Sec.  sudo-devel-1.8.6p7-23.el7_3.x86_64
RHBA-2017:2017 bugfix         sudo-devel-1.8.19p2-10.el7.x86_64
RHBA-2017:2595 bugfix         sudo-devel-1.8.19p2-11.el7_4.x86_64
updateinfo list done
Uploading Enabled Repositories Report

$ yum updateinfo list
Loaded plugins: enabled_repos_upload, package_upload, product-id, search-disabled-repos, subscription-manager, tracer_upload
Sat6-CI_Red_Hat_Satellite_Tools_6_3_Composes_Satellite_Tools/x86_64                                                                                                                          | 2.1 kB  00:00:00     
rhel-7-server-optional-rpms/7Server/x86_64                                                                                                                                                   | 2.0 kB  00:00:00     
rhel-7-server-rpms/7Server/x86_64                                                                                                                                                            | 2.0 kB  00:00:00     
RHSA-2016:2872 Moderate/Sec.  sudo-1.8.6p7-21.el7_3.x86_64
RHSA-2017:1382 Important/Sec. sudo-1.8.6p7-22.el7_3.x86_64
RHSA-2017:1574 Moderate/Sec.  sudo-1.8.6p7-23.el7_3.x86_64
RHBA-2017:2017 bugfix         sudo-1.8.19p2-10.el7.x86_64
RHBA-2017:2595 bugfix         sudo-1.8.19p2-11.el7_4.x86_64
RHSA-2016:2872 Moderate/Sec.  sudo-devel-1.8.6p7-21.el7_3.x86_64
RHSA-2017:1382 Important/Sec. sudo-devel-1.8.6p7-22.el7_3.x86_64
RHSA-2017:1574 Moderate/Sec.  sudo-devel-1.8.6p7-23.el7_3.x86_64
RHBA-2017:2017 bugfix         sudo-devel-1.8.19p2-10.el7.x86_64
RHBA-2017:2595 bugfix         sudo-devel-1.8.19p2-11.el7_4.x86_64
updateinfo list done
Uploading Enabled Repositories Report
Loaded plugins: product-id

$ subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://dell-pr5820-01.rhts.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-optional-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - Optional (RPMs)
Repo URL:  https://dell-pr5820-01.rhts.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/$releasever/$basearch/optional/os
Enabled:   1

Note You need to log in before you can comment on or make changes to this bug.